Return-Path: simmdan@kenya.isu.edu 
Delivery-Date: Sat, 19 Mar 94 14:08:30 -0800
Return-Path: simmdan@kenya.isu.edu
Received: from kenya.isu.edu (simmdan@kenya.isu.edu [134.50.5.15]) by nobozo.CS.Berkeley.EDU (8.6.4/8.6.3) with SMTP id OAA18397 for <aoki@postgres.Berkeley.EDU>; Sat, 19 Mar 1994 14:08:22 -0800
Message-Id: <199403192208.OAA18397@nobozo.CS.Berkeley.EDU>
Received: by kenya.isu.edu with SMTP
	(1.37.109.8/16.2) id AA25527; Sat, 19 Mar 1994 15:08:14 -0700
To: aoki@postgres.Berkeley.EDU (Paul M. Aoki)
Subject: Re: Preliminary release of POSTGRES V4R2 
In-Reply-To: Your message of "Sat, 19 Mar 1994 12:52:55 MST."
             <199403192052.MAA27557@faerie.CS.Berkeley.EDU> 
Date: Sat, 19 Mar 1994 15:08:13 -0700
From: Daniel Simmons <simmdan@kenya.isu.edu>


In message <199403192052.MAA27557@faerie.CS.Berkeley.EDU> you write:
>Daniel Simmons <simmdan@kenya.isu.edu> writes:
>something i kept running into (before moving to a bigger box)
>was running out of disk space.  regression eats 40-50 megs.

Definitely not my problem (unfortunately, since that would make things
easy).

>something substantially more specific than "it failed in XXX,"
>because it passes for me.

Fair enough.  I just ran the regression test again and I guess it must
have gone farther than it did last time or something because
regress.out is very nearly the same size as the sample.regress.out.
The error message is the same as I remember from last time, though.
Here are some more specifics:

Error message printed at end of running the regression test (with
">" signs at the beginning of each line inserted by me):

>icopy in -d $DATABASE -s $SMGR -R -a $THERE /data2 \
>        || exit 1
>icopy: /users/postgres/src/regress/regress/obj/onek.data: Permission denied
>icopy: /users/postgres/src/regress/regress/obj/stud_emp.data: Permission denied
>the Inversion file system test causes an error
>RESULTS OF REGRESSION ARE SAVED IN obj/regress.out

ls -l from .../postgres/src/regress/regress/obj:

>total 1806
>-rwxrwxr-x   1 postgres admin      77824 Mar 18 03:52 aportal
>-rw-rw-r--   1 postgres admin       2296 Mar 18 03:52 aportal.o
>-rw-rw-r--   1 postgres admin        495 Mar 18 03:52 aportalappend.pq
>-rw-rw-r--   1 postgres admin        325 Mar 18 03:52 aportalcreate.pq
>-rw-rw-r--   1 postgres admin        436 Mar 18 03:52 aportaltest.sh
>-rw-rw-r--   1 postgres admin      18519 Mar 18 03:52 create.pq
>-rw-rw-r--   1 postgres admin       3807 Mar 18 03:52 destroy.pq
>-rw-rw-r--   1 postgres admin       4247 Mar 18 03:52 errors.pq
>-rw-rw-r--   1 postgres admin       1698 Mar 18 03:52 fstest.sh
>-rwxrwxr-x   1 postgres admin      77824 Mar 18 03:52 iportal
>-rw-rw-r--   1 postgres admin       3148 Mar 18 03:52 iportal.o
>-rw-------   1 postgres admin      58300 Mar 19 14:39 onek.data
>-rw-rw-r--   1 postgres admin      56063 Mar 18 03:52 queries.pq
>-rw-rw-r--   1 postgres admin       6308 Mar 18 03:52 regress.o
>-rw-r--r--   1 simmdan  admin     540187 Mar 19 14:44 regress.out
>-rwxrwxr-x   1 postgres admin      16384 Mar 18 03:52 regress.sl
>-rw-------   1 postgres admin        188 Mar 19 14:40 stud_emp.data
>-rw-rw-r--   1 postgres admin        632 Mar 18 03:52 ufp1.o
>-rwxrwxr-x   1 postgres admin      12288 Mar 18 03:52 ufp1.sl
>-rw-rw-r--   1 postgres admin        796 Mar 18 03:52 ufp2.o
>-rwxrwxr-x   1 postgres admin      12288 Mar 18 03:52 ufp2.sl
>-rw-rw-r--   1 postgres admin        784 Mar 18 03:52 ufp3.o
>-rwxrwxr-x   1 postgres admin      12288 Mar 18 03:52 ufp3.sl

Notice that the two files for which I got a permission denied message
are the only files in the directory that are read-write to owner
only...  By the way, both postgres and my account (from which I ran
the regression tests) are in group admin.  I'm wondering if just
changing those files to be writeable by group admin would fix the
problem.  I don't really have a clue as to what is going on here,
though (haven't read much about the inversion file system yet).  So, I
thought I'd see what your input was on the matter.

At the end of this message I'm appending the output of checkdiff.
Yes, there are a bunch of dates at the top, and the stuff at the
bottom looks like it might just be tests that didn't get run yet.  It
gets decidedly weirder in the middle, though.

Please let me know if:

	1. This is enough information to go on.
	2. I should just change permissions on onek.data and
	   stud_emp.data and try again.
and/or
	3. There's something obvious that I should be doing but am
	   not.

Thanks,
Danny

-------
Daniel Simmons          electronic mail : simmdan@isu.edu
Idaho State University       voice mail : (208) 236-3199
Computer Center              snail mail : Box 8037, Pocatello

--------------- cut here ----------------------
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Tue Feb 15 11:00:04 1994 PST|
> |             | Sat Mar 19 14:36:25 1994 MST|
< |             | Mon May 10 23:59:12 1943 PDT|
> |             | Mon May 10 23:59:12 1943 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Tue Feb 15 11:00:04 1994 PST|
> |             | Sat Mar 19 14:36:25 1994 MST|
< |             | Mon May 10 23:59:12 1943 PDT|
> |             | Mon May 10 23:59:12 1943 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Tue Feb 15 11:00:04 1994 PST|
> |             | Sat Mar 19 14:36:25 1994 MST|
< |             | Mon May 10 23:59:12 1943 PDT|
> |             | Mon May 10 23:59:12 1943 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Tue Feb 15 11:00:04 1994 PST|
> |             | Sat Mar 19 14:36:25 1994 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Mon May 10 23:59:12 1943 PDT|
> |             | Mon May 10 23:59:12 1943 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Mon May 10 23:59:12 1943 PDT|
> |             | Mon May 10 23:59:12 1943 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Tue Feb 15 11:00:04 1994 PST|
> |             | Sat Mar 19 14:36:25 1994 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Mon May 10 23:59:12 1943 PDT|
> |             | Mon May 10 23:59:12 1943 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Mon May 10 23:59:12 1943 PDT|
> |             | Mon May 10 23:59:12 1943 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Mon May 10 23:59:12 1943 PDT|
> |             | Mon May 10 23:59:12 1943 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Sun Jan 14 03:14:21 1973 PST|
> |             | Sun Jan 14 03:14:21 1973 MST|
< |             | Mon May 10 23:59:12 1943 PDT|
> |             | Mon May 10 23:59:12 1943 MST|
< |             | Thu Mar 07 10:00:00 1946 PST|
> |             | Thu Mar 07 10:00:00 1946 MST|
< |             | Wed Dec 31 15:59:59 1969 PST|
> |             | Wed Dec 31 16:59:59 1969 MST|
< |             | Mon May 10 23:59:12 1943 PDT| @ 1 minute  |
> |             | Mon May 10 23:59:12 1943 MST| @ 1 minute  |
< |             | Thu Mar 07 10:00:00 1946 PST| @ 1 minute  |
> |             | Thu Mar 07 10:00:00 1946 MST| @ 1 minute  |
< |             | Wed Dec 31 15:59:59 1969 PST| @ 1 minute  |
> |             | Wed Dec 31 16:59:59 1969 MST| @ 1 minute  |
< |             | Mon May 10 23:59:12 1943 PDT| @ 5 hours   |
> |             | Mon May 10 23:59:12 1943 MST| @ 5 hours   |
< |             | Thu Mar 07 10:00:00 1946 PST| @ 5 hours   |
> |             | Thu Mar 07 10:00:00 1946 MST| @ 5 hours   |
< |             | Wed Dec 31 15:59:59 1969 PST| @ 5 hours   |
> |             | Wed Dec 31 16:59:59 1969 MST| @ 5 hours   |
< |             | Mon May 10 23:59:12 1943 PDT| @ 10 days   |
> |             | Mon May 10 23:59:12 1943 MST| @ 10 days   |
< |             | Thu Mar 07 10:00:00 1946 PST| @ 10 days   |
> |             | Thu Mar 07 10:00:00 1946 MST| @ 10 days   |
< |             | Wed Dec 31 15:59:59 1969 PST| @ 10 days   |
> |             | Wed Dec 31 16:59:59 1969 MST| @ 10 days   |
< |             | Mon May 10 23:59:12 1943 PDT| @ 3 months  |
> |             | Mon May 10 23:59:12 1943 MST| @ 3 months  |
< |             | Thu Mar 07 10:00:00 1946 PST| @ 3 months  |
> |             | Thu Mar 07 10:00:00 1946 MST| @ 3 months  |
< |             | Wed Dec 31 15:59:59 1969 PST| @ 3 months  |
> |             | Wed Dec 31 16:59:59 1969 MST| @ 3 months  |
< |             | Mon May 10 23:59:12 1943 PDT| @ 14 seconds ago|
> |             | Mon May 10 23:59:12 1943 MST| @ 14 seconds ago|
< |             | Thu Mar 07 10:00:00 1946 PST| @ 14 seconds ago|
> |             | Thu Mar 07 10:00:00 1946 MST| @ 14 seconds ago|
< |             | Wed Dec 31 15:59:59 1969 PST| @ 14 seconds ago|
> |             | Wed Dec 31 16:59:59 1969 MST| @ 14 seconds ago|
< |             | ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']|
> |             | ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']|
< |             | ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']|
> |             | ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['Thu Feb 15 12:15:03 1990 PST' 'current']|
> |             | ['Thu Feb 15 12:15:03 1990 MST' 'current']|
< |             | ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']|
> |             | ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']|
< |             | ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']|
> |             | ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['Thu Feb 15 12:15:03 1990 PST' 'current']|
> |             | ['Thu Feb 15 12:15:03 1990 MST' 'current']|
< |             | ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']|
> |             | ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']|
< |             | ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']|
> |             | ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['Thu Feb 15 12:15:03 1990 PST' 'current']|
> |             | ['Thu Feb 15 12:15:03 1990 MST' 'current']|
< |             | ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']|
> |             | ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['Thu Feb 15 12:15:03 1990 PST' 'current']|
> |             | ['Thu Feb 15 12:15:03 1990 MST' 'current']|
< |             | ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']|
> |             | ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']| ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']|
> |             | ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']| ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']|
< |             | ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']| ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']|
> |             | ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']| ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']| ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']| ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['Thu Feb 15 12:15:03 1990 PST' 'current']| ['Thu Feb 15 12:15:03 1990 PST' 'current']|
> |             | ['Thu Feb 15 12:15:03 1990 MST' 'current']| ['Thu Feb 15 12:15:03 1990 MST' 'current']|
< |             | ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']| ['-infinity' 'infinity']|
> |             | ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']| ['-infinity' 'infinity']|
< |             | ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']| ['-infinity' 'infinity']|
> |             | ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']| ['-infinity' 'infinity']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']| ['-infinity' 'infinity']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']| ['-infinity' 'infinity']|
< |             | ['Thu Feb 15 12:15:03 1990 PST' 'current']| ['-infinity' 'infinity']|
> |             | ['Thu Feb 15 12:15:03 1990 MST' 'current']| ['-infinity' 'infinity']|
< |             | ['-infinity' 'infinity']| ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']|
> |             | ['-infinity' 'infinity']| ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']| ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']| ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']|
< |             | ['-infinity' 'infinity']| ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']|
> |             | ['-infinity' 'infinity']| ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']| ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']| ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']|
< |             | ['-infinity' 'infinity']| ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['-infinity' 'infinity']| ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']| ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']| ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']| ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']| ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['Thu Feb 15 12:15:03 1990 PST' 'current']| ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['Thu Feb 15 12:15:03 1990 MST' 'current']| ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | ['-infinity' 'infinity']| ['Thu Feb 15 12:15:03 1990 PST' 'current']|
> |             | ['-infinity' 'infinity']| ['Thu Feb 15 12:15:03 1990 MST' 'current']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']| ['Thu Feb 15 12:15:03 1990 PST' 'current']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']| ['Thu Feb 15 12:15:03 1990 MST' 'current']|
< |             | ['Mon May 10 23:59:12 1943 PDT' 'Sun Jan 14 03:14:21 1973 PST']|
> |             | ['Mon May 10 23:59:12 1943 MST' 'Sun Jan 14 03:14:21 1973 MST']|
< |             | ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']|
> |             | ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']|
< |             | ['Thu Feb 15 12:15:03 1990 PST' 'current']|
> |             | ['Thu Feb 15 12:15:03 1990 MST' 'current']|
< |             | ['Sun Sep 04 23:59:12 1983 PDT' 'Tue Oct 04 23:59:12 1983 PDT']|
> |             | ['Sun Sep 04 23:59:12 1983 MDT' 'Tue Oct 04 23:59:12 1983 MDT']|
< |             | ['epoch' 'Tue Feb 15 11:00:08 1994 PST']|
> |             | ['epoch' 'Sat Mar 19 14:36:34 1994 MST']|
< |             | 0           |
> |             | -1e-39      |
< |             | 0           |
> |             | -1e-39      |
< |             | 0           |
> |             | -1e-39      |
< |             | 0           |
> |             | -1e-39      |
< |             | 0           |
> |             | -1e-39      |
< |             | 0           |
> |             | -1e-39      |
< |             | 0           |
> |             | -1e-39      |
< |             | 0           | 0           |
> |             | -1e-39      | 1e-39       |
< |             | 0           |
> |             | -1e-39      |
< |             | 0           | -0          |
> |             | 0           | 0           |
< |             | -34.84      | -3.26607421344208|
> |             | -34.84      | 0           |
< |             | 1.2345678901234e+200| 4.97933859234765e+66|
> |             | 1.2345678901234e+200| 4.9793385923476e+66|
< |             | 1.2345678901234e-200| 2.3112042409018e-67|
> |             | 1.2345678901234e-200| 2.31120424090182e-67|
< |             | 4           | char16      | text        | 4.1         | 4.1         | 2           | (         4.1,         4.1,         3.1,         3.1)| Tue Feb 15 11:02:31 1994 PST| c           | {Tue Feb 15 11:02:31 1994 PST,Mon Aug 24 14:43:07 1992 PDT,epoch}| 314159      | (1,0,1)     | 512         | 1 2 3 4 5 6 7 8|             | magnetic disk| (1.1,1.1)   | (4.1,4.1,3.1,3.1)| (0,2,4.1,4.1,3.1,3.1)| (4.1,4.1,3.1,3.1)| ['current' 'infinity']| 1/3         | 1,char16    | {"1","2","3","4"}| {"1","2","3","4"}| {1,2,3,4}   |
> |             | 4           | char16      | text        | 4.1         | 4.1         | 2           | (         4.1,         4.1,         3.1,         3.1)| Sat Mar 19 14:43:41 1994 MST| c           | {Sat Mar 19 14:43:41 1994 MST,Mon Aug 24 15:43:07 1992 MDT,epoch}| 314159      | (1,0,1)     | 512         | 1 2 3 4 5 6 7 8|             | magnetic disk| (1.1,1.1)   | (4.1,4.1,3.1,3.1)| (0,2,4.1,4.1,3.1,3.1)| (4.1,4.1,3.1,3.1)| ['current' 'infinity']| 1/3         | 1,char16    | {"1","2","3","4"}| {"1","2","3","4"}| {1,2,3,4}   |
< |             | 4           | char16      | text        | 4.1         | 4.1         | 2           | (         4.1,         4.1,         3.1,         3.1)| Tue Feb 15 11:02:32 1994 PST| c           | {Tue Feb 15 11:02:32 1994 PST,Mon Aug 24 14:43:07 1992 PDT,epoch}| 314159      | (1,0,1)     | 512         | 1 2 3 4 5 6 7 8|             | magnetic disk| (1.1,1.1)   | (4.1,4.1,3.1,3.1)| (0,2,4.1,4.1,3.1,3.1)| (4.1,4.1,3.1,3.1)| ['current' 'infinity']| 1/3         | 1,char16    | {"1","2","3","4"}| {"1","2","3","4"}| {1,2,3,4}   |
> |             | 4           | char16      | text        | 4.1         | 4.1         | 2           | (         4.1,         4.1,         3.1,         3.1)| Sat Mar 19 14:43:47 1994 MST| c           | {Sat Mar 19 14:43:47 1994 MST,Mon Aug 24 15:43:07 1992 MDT,epoch}| 314159      | (1,0,1)     | 512         | 1 2 3 4 5 6 7 8|             | magnetic disk| (1.1,1.1)   | (4.1,4.1,3.1,3.1)| (0,2,4.1,4.1,3.1,3.1)| (4.1,4.1,3.1,3.1)| ['current' 'infinity']| 1/3         | 1,char16    | {"1","2","3","4"}| {"1","2","3","4"}| {1,2,3,4}   |
< | d_star      |
> | d_star      |
< | BOOLTBL1    |
< | BOOLTBL2    |
< | ABSTIME_TBL |
> | BOOLTBL1    |
< | RELTIME_TBL |
> | BOOLTBL2    |
< | TINTERVAL_TBL|
> | ABSTIME_TBL |
< | BOX_TBL     |
> | RELTIME_TBL |
< | CHAR_TBL    |
> | TINTERVAL_TBL|
< | CHAR2_TBL   |
> | BOX_TBL     |
> | CHAR_TBL    |
> | CHAR2_TBL   |
< | a,320258    |
> | a,852546    |
< # /usr/local/devel/postgres-4.2-devel/src/regress/regress/RCS/sample.regress.out,v 1.11 1994/02/16 04:23:17 aoki Exp
> # /usr/local/devel/postgres-4.2-devel/src/regress/regress/RCS/fstest.source,v 1.5 1993/11/05 08:38:50 aoki Exp
< icopy in -d $DATABASE -s $SMGR -v $HERE/../data/dept.data /data2/dept.data \
< 	|| exit 1
< /data2/dept.data
< #
< # - absolute pls
< #
< pls -aR / \
< 	|| exit 1
< data1
< data2
< dept.data1
< /data1:
< RCS
< dept.data
< desc.data
< emp.data
< hash.data
< onek.data
< person.data
< real_city.data
< rect.data
< streets.data
< stud_emp.data
< student.data
< tenk.data
< /data1/RCS:
< dept.data,v
< emp.data,v
< hash.data,v
< onek.data,v
< person.data,v
< real_city.data,v
< rect.data,v
< streets.data,v
< stud_emp.data,v
< student.data,v
< tenk.data,v
< #
< # - absolute pmkdir
< #
< pmkdir /data2/absolute_dir \
< 	|| exit 1
< #
< # - absolute prmdir
< #
< prmdir /data2/absolute_dir \
< 	|| exit 1
< #
< # - absolute pcat
< #
< pcat /data2/dept.data \
< 	|| exit 1
< toy	sharon
< shoe	bob
< #
< # - pcd/ppwd
< #
< PFCWD=`pcd /data2 | sed -e 's/setenv PFCWD //'`; export PFCWD
< ppwd \
< 	|| exit 1
< /data2
< #
< # - relative pls
< #
< pls \
< 	|| exit 1
< aportal
< aportal.o
< aportal.out
< aportalappend.pq
< aportalcreate.pq
< aportaltest.sh
< create.pq
< dept.data
< destroy.pq
< errors.pq
< fstest.sh
< iportal
< iportal.o
< onek.data
< queries.pq
< regress.o
< regress.out
< regress.so
< so_locations
< stud_emp.data
< ufp1.o
< ufp1.so
< ufp2.o
< ufp2.so
< ufp3.o
< ufp3.so
< #
< # - relative pmkdir
< #
< pmkdir relative_dir \
< 	|| exit 1
< #
< # - relative prmdir
< #
< prmdir relative_dir \
< 	|| exit 1
< #
< # - relative pcat
< #
< pcat dept.data \
< 	|| exit 1
< toy	sharon
< shoe	bob
< #
< # - relative prm
< #
< prm dept.data \
< 	|| exit 1
< pls \
< 	|| exit 1
< aportal
< aportal.o
< aportal.out
< aportalappend.pq
< aportalcreate.pq
< aportaltest.sh
< create.pq
< destroy.pq
< errors.pq
< fstest.sh
< iportal
< iportal.o
< onek.data
< queries.pq
< regress.o
< regress.out
< regress.so
< so_locations
< stud_emp.data
< ufp1.o
< ufp1.so
< ufp2.o
< ufp2.so
< ufp3.o
< ufp3.so
< #
< # - more complex pcat
< #
< echo "foo" | pcat -H $PGHOST -D $DATABASE .dept.data - /data2/.dept.data
< toy	sharon
< shoe	bob
< foo
< toy	sharon
< shoe	bob
< #
< # final cleanup
< #
< prm -rf / \
< 	|| exit 1
< rm -f $THERE/.dept.data $THERE/.emptyfile
< exit 0
< =============== running error queries ... =================
< Welcome to the POSTGRES terminal monitor
< Go 
< * 
< WARN:parser: syntax error at or near "1"
< Go 
< * 
< WARN:parser: syntax error at or near "nonesuch"
< Go 
< * 
< NOTIFY
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:nonesuch: no such class
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:nonesuch: no such class
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:pg_ownercheck: class "nonesuch" not found
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:pg_ownercheck: class "nonesuch" not found
< Go 
< * 
< WARN:pg_ownercheck: class "nonesuch" not found
< Go 
< * 
< WARN:renamerel: Illegal class name: "pg_stud_emp" -- pg_ is reserved for system catalogs
< Go 
< * 
< WARN:renamerel: relation "aggtest" exists
< Go 
< * 
< WARN:renamerel: relation "stud_emp" exists
< Go 
< * 
< WARN:pg_ownercheck: class "nonesuchrel" not found
< Go 
< * 
< WARN:renameatt: attribute "nonesuchatt" nonexistent
< Go 
< * 
< WARN:renameatt: attribute "manager" exists
< Go 
< * 
< WARN:renameatt: attribute "oid" exists
< Go 
< * 
< NOTICE:UserAbortTransactionBlock and not inprogress state
< ABORT
< Go 
< * 
< NOTICE:EndTransactionBlock and not inprogress/abort state 
< END
< Go 
< * 
< WARN:AggregateDefine: Aggregate must have final function with both transition functions
< Go 
< * 
< WARN:AggregateDefine: "int4div"("int4", "int2") does not exist
< Go 
< * 
< WARN:AggregateDefine: "int2div"("int4", "int4") does not exist
< Go 
< * 
< WARN:AggregateDefine: transition function 2 MUST have an initial value
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:parser: syntax error at or near "314159"
< Go 
< * 
< WARN:pg_ownercheck: class "nonesuch" not found
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:parser: syntax error at or near "314159"
< Go 
< * 
< WARN:RemoveAggregate: aggregate "nonesuch" does not exist
< Go 
< * 
< WARN:parser: syntax error at or near "("
< Go 
< * 
< WARN:parser: syntax error at or near "314159"
< Go 
< * 
< WARN:RemoveFunction: function nonesuch() does not exist
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:parser: syntax error at or near "314159"
< Go 
< * 
< WARN:pg_ownercheck: type "nonesuch" not found
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:parser: syntax error at or near "equals"
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:parser: syntax error at or near "int4"
< Go 
< * 
< WARN:parser: syntax error at or near "("
< Go 
< * 
< WARN:parser: syntax error at or near ")"
< Go 
< * 
< WARN:RemoveOperator: right unary operator "===" taking "int4" does not exist
< Go 
< * 
< WARN:RemoveOperator: binary operator "===" taking "int4" and "int4" does not exist
< Go 
< * 
< WARN:RemoveOperator: type "nonesuch" does not exist
< Go 
< * 
< WARN:parser: syntax error at or near ","
< Go 
< * 
< WARN:RemoveOperator: type "nonesuch" does not exist
< Go 
< * 
< WARN:RemoveOperator: type "nonesuch" does not exist
< Go 
< * 
< WARN:parser: syntax error at or near ")"
< Go 
< * 
< WARN:parser: syntax error at or near ""
< Go 
< * 
< WARN:parser: syntax error at or near "314159"
< Go 
< * 
< WARN:prs2GetRuleEventRel: rule "nonesuch" not found
< Go 
< * 
< WARN:parser: syntax error at or near "tuple"
< Go 
< * 
< WARN:prs2GetRuleEventRel: rule "nonesuch" not found
< Go 
< * 
< WARN:RewriteGetRuleEventRel: rule "nonesuch" not found
< Go 
< * 
< WARN:read on "myclass0": permission denied
< Go 
< * 
< WARN:read on "myclass0": permission denied
< Go 
< * 
< WARN:read on "myclass0": permission denied
< Go 
< * 
< WARN:read on "myclass0": permission denied
< Go 
< * 
< WARN:define rule on "myclass0": permission denied
< Go 
< * =============== running async portal test... =================
< #!/bin/sh
< destroydb aportaldb
< WARN:destroydb: database aportaldb does not exist.
< destroydb: database destroy failed on aportaldb.
< createdb aportaldb
< if [ $? -ne 0 ]; then
< 	exit 1
< fi
< monitor aportaldb < aportalcreate.pq
< Welcome to the POSTGRES terminal monitor
< Go 
< * 
< CREATE
< Go 
< * 
< CREATE
< Go 
< * 
< DEFINE
< Go 
< * if [ $? -ne 0 ]; then
< 	exit 1
< fi
< ./aportal > aportal.out 2>&1 &
< APORTALPID=$!
< #
< # wait for startup - need to have this process listening
< #
< sleep 5
< monitor aportaldb < aportalappend.pq
< Welcome to the POSTGRES terminal monitor
< Go 
< * 
< | prs2name    | relname     | prs2text    |
< | r1          | asynctest1  | define rule r1 is on append to asynctest1 do   [append asynctest1a (i = new.i)    notify asynctest1a] |
< Go 
< * 
< Go 
< * if [ $? -ne 0 ]; then
< 	exit 1
< fi
< #
< # make sure message got out
< #
< sleep 5
< kill $APORTALPID
< kill: 18776: no such process
< cat aportal.out
< aportal: listen asynctest1a
< Async. notification on relation asynctest1a, our backend pid is 18778
< aportal: retrieve (asynctest1a.i)
< i = 10
< aportal: done.
< destroydb aportaldb
< exit 0
< =============== clearing regression database... =================
< Welcome to the POSTGRES terminal monitor
< Go 
< * 
< REPLACE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< DESTROY
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * 
< REMOVE
< Go 
< * =============== destroying regression database... =================
> icopy: /users/postgres/src/regress/regress/obj/onek.data: Permission denied
> icopy: /users/postgres/src/regress/regress/obj/stud_emp.data: Permission denied
> the Inversion file system test causes an error

